classification
Title: Not exiting when running tests
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Option to not-exit on test
View: 3379
Assigned To: Nosy List: ajaksu2, michael.foord, pupeno
Priority: normal Keywords:

Created on 2007-08-15 16:27 by pupeno, last changed 2009-04-07 16:01 by ajaksu2. This issue is now closed.

Messages (3)
msg32645 - (view) Author: J. Pablo Fernández (pupeno) Date: 2007-08-15 16:27
Can you please offer a way to not exit when running unit tests, that is, an argument to unittest.main() that would make it not exit?
Thank you
msg85648 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2009-04-06 15:04
Seems like a straightforward request although TestProgram is pretty
horrible in my opinion. I'll add an exit argument to
TestProgram.__init__ - don't look forward to testing it though.
msg85721 - (view) Author: Daniel Diniz (ajaksu2) Date: 2009-04-07 16:01
Closing as issue 3379 has discussion and patches.
History
Date User Action Args
2009-04-07 16:01:09ajaksu2setstatus: open -> closed

superseder: Option to not-exit on test

nosy: + ajaksu2
messages: + msg85721
resolution: duplicate
stage: needs patch ->
2009-04-06 15:04:01michael.foordsetmessages: + msg85648
2009-04-06 14:33:41michael.foordsetstage: test needed -> needs patch
2009-04-06 14:33:12michael.foordsetnosy: + michael.foord, - fuzzyman
2009-04-06 14:31:07pitrousetnosy: + fuzzyman
2009-04-06 10:58:44ajaksu2setstage: test needed
versions: + Python 3.1, Python 2.7
2007-08-15 16:27:20pupenocreate